Instruccions per executar el programa
=====================================

El programa "main.c" que conté el codi per resoldre numèricament el problema de Stefan, depèn de dos arxius: "lambda.in" i "beta02.in". Per produïr el fitxer "lambda.in" s'ha d'executar primer l'*script* de Gnuplot "foundLambda.gnu":

```gnuplot
    > load "foundLambda.gnu"
```
Per compilar i executar el programa, obrim la terminal al directori on estigui ubicat l'arxiu i executem les següents comandes:

```
    > gcc -c -ansi -Wall main.c -lm
    > gcc main.o -o main.exe -lm
    > ./main.exe
```
Un cop executat "main.exe", s'imprimeix per pantalla el temps d'execució de les dues funcions que resolen el problema de Stefan per a les dues condicions a la frontera, i es creen els següents fitxers:

- "freeBoundaryPos.out",
- "temperatureDistribution.out",
- "freeBoundaryPosTD.out",
- "temperatureDistributionTD.out",
- "temperatureDistributionTD_anal.out",
- "temperatureDistributionTD_err.out",

que corresponen a les solucions numèriques de la posició de la frontera lliure i la distribució de la temperatura. Els fitxer amb "TD" per a la condició a la frontera dependent del temps, i 
els altres per a la condició a la frontera constant.

Finalment, per generar les gràfiques, executem a Gnuplot:

```gnuplot
    > load "plotsTI.gnu"
    > load "plotsTD.gnu"
```

Això generarà la solució analítica i els errors per a la condició a la frontera constant:

- "freeBoundaryPos_anal.out",
- "freeBoundaryPos_err.out",
- "temperatureDistribution_anal.out",
- "temperatureDistribution_err.out",

així com els 8 arxius gràfics ".png" amb les corresponents gràfiques:

- "freeBoundaryPos_TI.png",
- "freeBoundaryPos_TI_err.png",
- "temperatureDistribution_TI.png",
- "temperatureDistribution_TI_err.png"
- "freeBoundaryPos_TD.png",
- "freeBoundaryPos_TD_err.png",
- "temperatureDistribution_TD.png",
- "temperatureDistribution_TD_err.png".


**NOTA**: Si es vol canviar el nombre de passos n, s'ha de fer a: "foundLambda.gnu", "main.c", i "plotsTI.gnu".

**ADVERTÈNCIA**: Per valors grans de n, l'execució de "plotTI.gnu" pot trigar molt (p.ex. per a n=100 al voltant de 30').
