set terminal wxt 0 enhanced
# set print
set print 'lambda.in'
n=10;
i=0;
h=1./n;

set table "outfile.dat"
plot 'beta02.in' u 0:($0==0?(beta=$1):$1)
unset table

#Newton
f(x) = sqrt(pi)*beta*x*exp(x*x)*erf(x)-1;
df(x) = sqrt(pi)*beta*(exp(x*x)*erf(x)+2*(x*x)*exp(x*x)*erf(x)+(2*x)/sqrt(pi));
x0 = 1./(sqrt(pi)*beta);
temp = 0;
iter = 0;
while (abs(temp-x0)>1e-10) {
	x1 = x0 - f(x0)/df(x0);
	temp = x0;
	x0 = x1;
	iter = iter + 1;
};
lambda = x0;
print sprintf("%16.8e", lambda);
#------------------
print("");
do for [i=0:n] {
	xi_i = i*h;
	F = 1 - erf(lambda*xi_i)/erf(lambda);
	print sprintf("%16.8e", F);
};
set print "outfile.dat"
print iter
#    EOF
