set term png font "Helvetica,10"
set key spacing 1.5 font "Helvetica, 10"
set key box lt -1 lw 1

#Posició de la frontera mòbil
set output "freeBoundaryPos_TD.png"
set xlabel "t"
set ylabel "h(t)"
set autoscale
set format y "%.2f"
plot "freeBoundaryPosTD.out" title "Solució numèrica",\
"freeBoundaryPosTD_anal.out" title "Solució analítica";

#Error de la posició de la frontera mòbil
set output "freeBoundaryPos_TD_err.png" 
set xlabel "t"
set ylabel "|h_{num}(t)-h_{anal}(t)|"
set logscale y 10
set format y "%.2e"
set xrange [0:1.1]
set yrange [1.e-6:1.e-2]
plot "freeBoundaryPosTD_err.out" w linespoints title "Error en h(t)";
unset logscale y

#Distribució de la temperatura
set output "temperatureDistribution_TD.png"
set xlabel "x"
set ylabel "u(x,t)"
set autoscale
set format y "%.2f"
plot "temperatureDistributionTD.out" title "Solució numèrica",\
"temperatureDistributionTD_anal.out" w linespoints title "Solució analítica";

#Error distribució de la temperatura
set output "temperatureDistribution_TD_err.png"
set logscale y 10
set format y "%.2e"
set xlabel "t"
set ylabel "||u_{num}(x,t)-u_{anal}(x,t)||_{2,h}"
plot "temperatureDistributionTD_err.out" w linespoints title "Error en la temperatura";
unset logscale y
