n=10;
k=1./n;
h=k;
array t[n+1];
array h_num[n+1];

set table "outfile.dat"
do for [i=0:n] {
    plot 'freeBoundaryPos.out' u 0:($0==i?(h_num[i+1]=$2):$2)         
};
plot 'lambda.in' u 0:($0==0?(lambda=$1):$1)
unset table

array h_err[n+1];
h_anal=0.;
set print "freeBoundaryPos_anal.out"
do for [i=0:n]{
    t[i+1] = i*k;
    h_anal = 2*lambda*sqrt(t[i+1]);
    print sprintf("%16.8e %16.8e", t[i+1], h_anal);
    h_err[i+1] = abs(h_num[i+1] - h_anal); 
}

set print "freeBoundaryPos_err.out"
do for [i=0:n] {
    print sprintf("%16.8e %16.8e", t[i+1], h_err[i+1]);
}

array u_num[(n+1)*(n+1)];
array u_err[n+1+1];
array a[(n+1)*(n+1)];

set table "outfile.dat"
do for [i=0:(n+1)*(n+1)] {
    plot 'temperatureDistribution.out' every :::0::(n+1) u 0:($0==i?(u_num[i+1]=$2):$2),\
    '' u 0:($0==i?(a[i+1]=$1):$1)
};
unset table

set print "temperatureDistribution_anal.out"
j=0;
l=1;
sum=0.;
count=0;
do for [i=0:(n+1)*(n+1)-1] {
    u_anal = 1. - erf((j*h)*h_num[l+1]/(2*sqrt(t[l+1])))/erf(lambda);
    sum = sum + (u_anal - u_num[i+1])**2;
    print sprintf("%16.8e %16.8e", a[i+1], u_anal);
    j=j+1;
    if(j>n){
        j=0;
        print sprintf("");
        if(count==0){
            u_err[l] = sqrt(h*sum);
            sum=0;
        }else{
            u_err[l+1] = sqrt(h*sum);
            sum=0;
        }
        if(l==n){
            count = 1;
        }
    }
    if(j==0 && l<n){
        l = l+1;
    }
}

set print "temperatureDistribution_err.out"
do for [i=0:n]{
    print sprintf("%16.8e %16.8e", t[i+1], u_err[i+1]);
}

set term png font "Helvetica,10"
set key spacing 1.5 font "Helvetica, 10"
set key box lt -1 lw 1

#Posició de la frontera mòbil
set output "freeBoundaryPos_TI.png"
set xrange [0:1]
set yrange [0:1.2]
set format y "%.2f"
set xlabel "t"
set ylabel "h(t)"
plot "freeBoundaryPos.out" title "Solució numèrica",\
"freeBoundaryPos_anal.out" title "Solució analítica";

#Error de la posició de la frontera mòbil
set output "freeBoundaryPos_TI_err.png" 
set logscale y 10
set format y "%.2e"
set xrange [0:1.1]
set yrange [1.e-6:1.e-2]
set xlabel "t"
set ylabel "|h_{num}(t)-h_{anal}(t)|"
plot "freeBoundaryPos_err.out" w linespoints title "Error en h(t)";
unset yrange
unset logscale y

#Distribució de la temperatura
set output "temperatureDistribution_TI.png"
set autoscale
set format y "%.2f"
set xlabel "x"
set ylabel "u(x,t)"
set yrange [-1.5e-4:1]
plot "temperatureDistribution.out" title "Solució numèrica",\
    "temperatureDistribution_anal.out" w linespoints title "Solució analítica";
unset autoscale

#Error distribució de la temperatura
set output "temperatureDistribution_TI_err.png"
set logscale y 10
set format y "%.2e"
set yrange [1.e-5:1.e-2]
set xrange [0:1]
set xlabel "t"
set ylabel "||u_{num}(x,t)-u_{anal}(x,t)||_{2,h}"
plot "temperatureDistribution_err.out" w linespoints title "Error en la temperatura";
unset logscale y

set term x11
